| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
SPI_SPSCRSTR Union Reference

`#include <fxlc95000.h>`

## Data Fields
word | Word
struct {
word SPTE:1
word MODF:1
word OVRF:1
word SPRF:1
word SPTIE:1
word SPE:1
word CPHA:1
word CPOL:1
word SPMSTR:1
word SPRIE:1
word MODFEN:1
word ERRIE:1
word DSO:1
word SPR0:1
word SPR1:1
word SPR2:1
} | Bits
struct {
word __pad0__:1
word __pad1__:1
word __pad2__:1
word __pad3__:1
word __pad4__:1
word __pad5__:1
word grpCPHx:1
word __pad6__:1
word __pad7__:1
word __pad8__:1
word __pad9__:1
word __pad10__:1
word __pad11__:1
word grpSPR:3
} | MergedBits

## Detailed Description

Definition at line 3977 of file fxlc95000.h.

## Field Documentation

word __pad0__

Definition at line 3998 of file fxlc95000.h.

word __pad10__

Definition at line 4009 of file fxlc95000.h.

word __pad11__

Definition at line 4010 of file fxlc95000.h.

word __pad1__

Definition at line 3999 of file fxlc95000.h.

word __pad2__

Definition at line 4000 of file fxlc95000.h.

word __pad3__

Definition at line 4001 of file fxlc95000.h.

word __pad4__

Definition at line 4002 of file fxlc95000.h.

word __pad5__

Definition at line 4003 of file fxlc95000.h.

word __pad6__

Definition at line 4005 of file fxlc95000.h.

word __pad7__

Definition at line 4006 of file fxlc95000.h.

word __pad8__

Definition at line 4007 of file fxlc95000.h.

word __pad9__

Definition at line 4008 of file fxlc95000.h.

struct { ... } Bits

word CPHA

Definition at line 3986 of file fxlc95000.h.

word CPOL

Definition at line 3987 of file fxlc95000.h.

word DSO

Definition at line 3992 of file fxlc95000.h.

word ERRIE

Definition at line 3991 of file fxlc95000.h.

word grpCPHx

Definition at line 4004 of file fxlc95000.h.

word grpSPR

Definition at line 4011 of file fxlc95000.h.

struct { ... } MergedBits

word MODF

Definition at line 3981 of file fxlc95000.h.

word MODFEN

Definition at line 3990 of file fxlc95000.h.

word OVRF

Definition at line 3982 of file fxlc95000.h.

word SPE

Definition at line 3985 of file fxlc95000.h.

word SPMSTR

Definition at line 3988 of file fxlc95000.h.

word SPR0

Definition at line 3993 of file fxlc95000.h.

word SPR1

Definition at line 3994 of file fxlc95000.h.

word SPR2

Definition at line 3995 of file fxlc95000.h.

word SPRF

Definition at line 3983 of file fxlc95000.h.

word SPRIE

Definition at line 3989 of file fxlc95000.h.

word SPTE

Definition at line 3980 of file fxlc95000.h.

word SPTIE

Definition at line 3984 of file fxlc95000.h.

word Word

Definition at line 3978 of file fxlc95000.h.

The documentation for this union was generated from the following file:

- Include/psp/fxlc95000.h